Bug 459554 - Sidewinder driver detects 4 gamepads as 2 incorrect devices.
Sidewinder driver detects 4 gamepads as 2 incorrect devices.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-19 20:55 EDT by Fred Wittekind IV
Modified: 2009-07-14 10:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:20:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg after modprobe sidewinder with 2 gamepads connected (1.21 KB, text/plain)
2008-08-19 20:55 EDT, Fred Wittekind IV
no flags Details
dmesg after modprobe sidewinder with 4 gamepads connected (1.32 KB, text/plain)
2008-08-19 20:56 EDT, Fred Wittekind IV
no flags Details

  None (edit)
Description Fred Wittekind IV 2008-08-19 20:55:30 EDT
Created attachment 314597 [details]
dmesg after modprobe sidewinder with 2 gamepads connected

Description of problem:
Connecting 2 Sidewinder gamepads works as expected, connecting 4 sometimes results in the 4 gamepads being detected as 2 Microsoft SideWinder FreeStyle Pro

Version-Release number of selected component (if applicable):
kernel-2.6.25.14-108.fc9.x86_64
Microsoft SideWinder GamePad Part No 90873

How reproducible:
sometimes

Steps to Reproduce:
1. Connect 4 daisy chained Microsoft SideWinder GamePad
2. modprobe sidewinder
3. dmesg
  
Actual results:
Detected 2 Microsoft SideWinder FreeStyle Pro devices

Expected results:
Detect 4 Microsoft SideWinder GamePad devices

Additional info:
I built a version of sidewinder.c with the two debug defines enabled, attaching dmesg output.  Get same result from kernel module that is  not modified, minus the useful debug information.
Comment 1 Fred Wittekind IV 2008-08-19 20:56:52 EDT
Created attachment 314598 [details]
 dmesg after modprobe sidewinder with 4 gamepads connected
Comment 2 Bug Zapper 2009-06-09 22:30:45 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:20:50 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.